C-----------------------------------------------------------------------------

      SUBROUTINE NPSURF  

C-----------------------------------------------------------------------------

C     DO-NOTHING SURFACE PERTURBATION MODEL  

      IMPLICIT DOUBLE PRECISION (A-H,O-Z)

      DOUBLE PRECISION MODSURF

      common/ww/ dum(10), maxw,w(1000)

      COMMON/SS/ MODSURF(4) 

      COMMON/SS/U,PUR,PURR,PURTH,PURPH          

      COMMON/SS/PUTH,PUPH,PUTHTH,PUPHPH,PUTHPH,USELECT,UTIME

      INTEGER DSMX,DSNTBL,DSITBL,DSFRMTB,IDSDS(10)          

      COMMON/B12/DSMX,DSNTBL(10),DSITBL(10),DSFRMTB(10),DSGP(11)

      EQUIVALENCE (DSGP,IDSDS),(ANDS,DSGP(11))               

      INTEGER DVMX    ,DVNTBL(10),DVITBL(10),DVFRMTB(10)     

      DATA DVMX/1/          

      DATA DVNTBL/1,11,8*0/ 

      DATA DVITBL/1,9*0/    

      DATA DVFRMTB/1,9*0/   

C                           

      ENTRY SETPSR          

      DSMX=DVMX                           

      CALL IMOVE(DSNTBL,DVNTBL,10)        

      CALL IMOVE(DSITBL,DVITBL,10)        

      CALL IMOVE(DSFRMTB,DVFRMTB,10)      

      RETURN                              

C

      ENTRY IPSURF    

      IF(W(375) .NE. 0.) THEN

           PRINT*,' Model check number mismatch: '

           STOP ' W(375) should be 0 if you are using model NPSURF.'

      ENDIF



      MODSURF(3)=8HNPSURF   

      MODSURF(4)= w(352)

      RETURN               

C                         

      ENTRY PSURFCE       

      RETURN              

      END                 

                                                                                

 

